--- title: "Get player list" slug: "vpe-api-list" tags: ["Video Player Enhancement"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/vpe-api-list" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get player list Available in Classic and VPC Get the list of players. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/players | ### Request headers For information about the headers common to all Video Player Enhancement APIs, see [Video Player Enhancement request headers](/docs/en/vpe-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page_no` | Integer | Optional | Page number - 1-1000 (default: 1) | | `page_size` | Integer | Optional | Number of items per page - 10-1000 (default: 10) | | `sort_type` | String | Optional | Sort order by creation date - `desc` (default) \| `asc` - `desc`: Descending order - `asc`: Ascending order | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpe.apigw.ntruss.com/api/v1/players' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'x-ncp-region_code: KR' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.list` | Array | - | Player list: [list](/docs/en/vpe-api-list#list) | | `result.total` | Integer | - | Number of response results | | `result.page_no` | Integer | - | Page number | | `result.page_size` | Integer | - | Number of items per page | | `result.page_count` | Integer | - | Total number of pages | | `result.pricing` | String | - | Pricing plan - `free` \| `pay` - `free`: Free - `pay`: Paid | #### `list` The following describes `list`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `no` | Integer | - | Player number | | `name` | String | - | Player name | | `version` | String | - | Player SDK version | | `access_key` | String | - | Player access key | | `updated_at` | String | - | Player modification date and time - ISO 8601 format | | `created_at` | String | - | Player creation date and time - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Video Player Enhancement APIs, see [Common Video Player Enhancement response status codes](/docs/en/vpe-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "200", "message": "ok", "result": { "list": [ { "no": 6284, "name": "player001", "version": "latest", "access_key": "5a2f************************1830", "updated_at": "2025-08-12T02:17:10.000+00:00", "created_at": "2025-08-12T02:17:10.000+00:00" }, { "no": 6159, "name": "player000", "version": "1.1.3", "access_key": "7848************************102d", "updated_at": "2025-08-12T02:23:31.000+00:00", "created_at": "2025-05-27T05:34:37.000+00:00" } ], "total": 2, "page_no": 1, "page_size": 10, "page_count": 1, "pricing": "pay" } } ```